%define upstream_name	 DBD-SQLite
%define upstream_version 1.37

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Self Contained RDBMS in a DBI Driver
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/DBD/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBI) >= 1.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.820.0
BuildRequires: perl(Test::Builder) >= 0.860.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(Tie::Hash)
BuildRequires: perl-devel
BuildRequires: sqlite3-devel
%description
SQLite is a small fast embedded SQL database engine.

DBD::SQLite embeds that database engine into a DBD driver, so
if you want a relational database for your project, but don't
want to install a large RDBMS system like MySQL or PostgreSQL,
then DBD::SQLite may be just what you need.

It supports quite a lot of features, such as transactions (atomic
commit and rollback), indexes, DBA-free operation, a large subset
of SQL92 supported, and more.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

# useless content
rm -f %{buildroot}%{perl_vendorarch}/auto/share/dist/DBD-SQLite/sqlite3.c
rm -f %{buildroot}%{perl_vendorarch}/auto/share/dist/DBD-SQLite/sqlite3.h

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorarch}/DBD
%{perl_vendorarch}/auto/DBD
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.370.0-2.mga3
+ Revision: 365021
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 18 2012 kharec <kharec> 1.370.0-1.mga3
+ Revision: 261544
- update to 1.37

* Wed May 30 2012 jquelin <jquelin> 1.350.0-2.mga3
+ Revision: 250492
- rebuild for perl 5.16

* Thu Dec 08 2011 kharec <kharec> 1.350.0-1.mga2
+ Revision: 179167
- update to 1.35

* Mon Jun 13 2011 jquelin <jquelin> 1.330.0-2.mga2
+ Revision: 105655
- remove CFLAGS information, which prevent dbd::sqlite from working
- update to 1.33

  + sander85 <sander85>
    - perl 5.14

* Tue Jan 18 2011 blino <blino> 1.310.0-2.mga1
+ Revision: 23262
- rebuild for new perl

* Wed Jan 12 2011 jquelin <jquelin> 1.310.0-1.mga1
+ Revision: 7347
- imported package perl-DBD-SQLite

